import constants from '../constants.js';
import RESTClient from '../restClient.js';
export default class CloudClient {
    restClient;
    constructor(cloudUsername, cloudApiToken) {
        this.restClient = new RESTClient(constants.CLOUD_ROOT, {
            'Authorization': `Basic ${Buffer.from(`${cloudUsername}:${cloudApiToken}`).toString('base64')}`
        });
    }
    async delete(path) {
        return this.restClient.delete(path);
    }
    async get(path) {
        return this.restClient.get(path);
    }
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    async post(path, data) {
        return this.restClient.post(path, data);
    }
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    async put(path, data) {
        return this.restClient.put(path, data);
    }
}
